Update Customer Category
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v1/customerCategories/{customercategoryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v1/customerCategories/{customercategoryId}"
payload = { "Name": "<string>" }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({Name: '<string>'})
};
fetch('https://api.jtl-cloud.com/erp/v1/customerCategories/{customercategoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Name": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}customerCategory
Update Customer Category
Update a specific customer category
PATCH
/
v1
/
customerCategories
/
{customercategoryId}
Update Customer Category
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the Customer category to update.
Body
application/json
The customer category to update.
Model Class: UpdateCustomerCategory
The customer category name.
Was this page helpful?
⌘I